<?php
	/* 
	============================================================================
	this page manages the various matches.
	============================================================================
	Author: Martin Widmann, martin.widmann@ideefix.net
	Version: 1.0
	*/

	require('../config.php');
	require('../db_functions.php');
	require('../file_functions.php');
?>

<html>
	<head>
		<title>Matches verwalten</title>
		<link rel="stylesheet" type="text/css" href="styles.css" />
	</head>
	<body>
		<h1>Matches verwalten</h1>
<?php
	$id = $_REQUEST["id"];
	$action = $_POST["todoaction"];
	
	$home				= "";
	$home_name			= "";
	$away				= "";
	$away_name			= "";
	$matchdate			= "";
	$info				= "";
	$players_home		= "";
	$players_away		= "";
	$running			= "1";
	$overtime_length	= "5";
	$spectators			= "";
	$head1				= "";
	$head2				= "";
	$linesman1			= "";
	$linesman2			= "";
	
	
	
	if ($action == 'store') {
		
		$home 				= $_POST["home"];
		$home_name 			= $_POST["home_name"];
		$away 				= $_POST["away"];
		$away_name 			= $_POST["away_name"];
		$matchdate 			= $_POST["matchdate"];
		$info 				= $_POST["info"];
		$players_home 		= $_POST["players_home"];
		$players_away 		= $_POST["players_away"];
		$running	  		= $_POST["running"];
		$overtime_length 	= $_POST["overtime_length"];
		$spectators 		= $_POST["spectators"];
		$head1				= $_POST["head1"];
		$head2				= $_POST["head2"];
		$linesman1			= $_POST["linesman1"];
		$linesman2			= $_POST["linesman2"];
		
		if ($running == "") $running = 0;

		if (strtotime($matchdate) == -1) {
			echo("<span class=\"error\">$matchdate ist kein gltiges Datum im " .
				"Format 'YYYY-MM-DD HH:mm:ss' (bsp: 2006-10-07 19:30:00)</span>"); 
		} else {
			
			// if $id is not set, insert a new record in the database;
			if (!$id) {
				
				$sql = "INSERT INTO liveticker_match (home, home_name, away, " .
					"away_name, matchdate, info, running, overtime_length, ".
					"spectators, head1, head2, linesman1, linesman2) values (" .
					"'" . $conn->escape($home) . "', " .
					"'" . $conn->escape($home_name) . "', " .
					"'" . $conn->escape($away) . "', " .
					"'" . $conn->escape($away_name) . "', " .
					"'" . $conn->escape($matchdate) . "', " .
					"'" . $conn->escape($info) . "', " .
					"'" . $conn->escape($running) . "', " .
					"'" . $conn->escape($overtime_length) . "', " .
					"'" . $conn->escape($spectators) . "', " .
					"'" . $conn->escape($head1) . "', " .
					"'" . $conn->escape($head2) . "', " .
					"'" . $conn->escape($linesman1) . "', " .
					"'" . $conn->escape($linesman2) . "' " .
					")";
					
				$conn->query($sql);
				$id = $conn->lastInsertedId;
				
			} else {
				
				$sql = "UPDATE liveticker_match SET " .
					"home = '" . $conn->escape($home) . "', " .
					"home_name = '" . $conn->escape($home_name) . "', " .
					"away = '" . $conn->escape($away) . "', " .
					"away_name = '" . $conn->escape($away_name) . "', " .
					"matchdate = '" . $conn->escape($matchdate) . "', " .
					"info = '" . $conn->escape($info) . "', " .
					"running = '" . $conn->escape($running) . "', " .
					"overtime_length = '" . $conn->escape($overtime_length) . "', " .
					"spectators = '" . $conn->escape($spectators) . "', " .
					"head1 = '" . $conn->escape($head1) . "', " .
					"head2 = '" . $conn->escape($head2) . "', " .
					"linesman1 = '" . $conn->escape($linesman1) . "', " .
					"linesman2 = '" . $conn->escape($linesman2) . "' " .
					"WHERE match_id = " . $id;
				
				$conn->query($sql);
			}
			
			writeContent(OUTPUTDIR . "/players_home_" . $id, $players_home);
			writeContent(OUTPUTDIR . "/players_away_" . $id, $players_away);
			
			// calling for an update of the ticker
			touch(OUTPUTDIR . "/update_$id");
			
			echo("<script>document.location.href='index.php?msg=Eintrag mit id $id gespeichert.';</script>");
			
		}
		
	} else {
		
		if ($id) {
			$sql = "SELECT * FROM liveticker_match WHERE match_id = $id";
			
			if ($conn->query($sql) > 0) {
				
				$row = $conn->resultRows[0];
				$home				= $row->home;
				$home_name			= $row->home_name;
				$away				= $row->away;
				$away_name			= $row->away_name;
				$matchdate			= $row->matchdate;
				$info				= $row->info;
				$running			= $row->running;
				$overtime_length 	= $row->overtime_length;
				$spectators 		= $row->spectators;
				$head1				= $row->head1;
				$head2				= $row->head2;
				$linesman1			= $row->linesman1;
				$linesman2			= $row->linesman2;
				
				$players_home = loadContent(OUTPUTDIR . "/players_home_" . $id);
				$players_away = loadContent(OUTPUTDIR . "/players_away_" . $id);
				
			} else {
				echo("<script>document.location.href='index.php?msg=Eintrag mit id $id existiert nicht.';</script>");				 
			}
			
		}
	}
	$conn->finalize();


?>

		<form name="form1" action="match_edit.php" method="post">
			<input type="hidden" name="todoaction" value="store">
			<input type="hidden" name="id" value="<?=$id?>">
			Heimteam: <br>
			<input type="text" name="home_name" value="<?=$home_name?>"><br>
			Heimteam Logo URL: <br>
			<input type="text" name="home" value="<?=$home?>"><br>
			Gastteam: <br>
			<input type="text" name="away_name" value="<?=$away_name?>"><br>
			Gastteam Logo URL: <br>
			<input type="text" name="away" value="<?=$away?>"><br>
			Datum des Spiels im Format YYYY-MM-DD HH:mm:ss (Beispiel: 2006-10-07 19:30:00): <br>
			<input type="text" name="matchdate" value="<?=$matchdate?>"><br>
			Zuseher:<br/>
			<input type="text" name="spectators" value="<?=$spectators?>"/><br/>
			Lnge der Verlngerung:<br/>
			<input type="text" name="overtime_length" value="<?=$overtime_length?>"/><br/>
			
			Sonstige Informationen zum Spiel: <br>
			<textarea name="info" cols="80" rows="10" wrap=""><?=$info?></textarea><br>
			Liveticker automatisch aktualisieren: <input type="checkbox" name="running" value="1" <? if ($running == 1) { echo ("checked=\"checked\""); } ?>><br>
			<hr/>
			<h4>Schiedsrichter</h4>
			Head:<br/>
			<input type="text" name="head1" value="<?=$head1?>"><br/>
			<input type="text" name="head2" value="<?=$head2?>"><br/>
			Linesman:<br/>
			<input type="text" name="linesman1" value="<?=$linesman1?>"><br/>
			<input type="text" name="linesman2" value="<?=$linesman2?>"><br/>
			
			
			<hr>
			<table border="0">
				<tr>
					<td colspan="2">Ein Spieler pro Zeile. Die Namen werden genau so ausgegeben, wie
					sie hier eingetragen werden!</td>
				</tr>
				<tr>
					<td>Spieler Heimmannschaft: <br>
					<textarea name="players_home" cols="40" rows="20" wrap="soft"><?=$players_home?></textarea>
					</td>
					<td>Spieler Gastmannschaft: <br>
					<textarea name="players_away" cols="40" rows="20" wrap="soft"><?=$players_away?></textarea>
					</td>
				</tr>
			</table>
			<input type="submit" value="Speichern"> <input type="button" value="Abbrechen" onclick="history.back();">
			
		</form>
		
	</body>
</html>